HomeTroubleshootingInstallation"Error 2908. Could not register component"

1.22. "Error 2908. Could not register component"

Applies to: All Palisade software, releases 5.x/6.x

When I try to install Palisade software, I get the error message

Error 2908. Could not register component

followed by a long code in { } braces.

It looks like your .NET 2.0 installation is damaged. The solution is to uninstall and reinstall .NET 2.0, which our software uses. However, there may be higher versions of . NET on your computer, and those will also need to be uninstalled and reinstalled in a particular order.

Important: If you log in to your Windows computer using a nonstandard method (e.g., fingerprint reader, face recognition device, or voice recognition tool), turn off or uninstall the tool BEFORE you uninstall .NET. That way, if your tool requires .NET Framework, it won't prevent you from logging back in to your Windows computer.

  1. It's not required, but you may want to run the .NET Framework Setup Verification Tool first. If .NET passes verification, then it's not likely that uninstalling and reinstalling .NET will accomplish anything.

  2. Open Control Panel » Programs and Features, or click the Start button and enter programs and features in the search window. (In Windows XP, open Control Panel and then Add or Remove Programs.)

  3. Uninstall everything that starts with "Microsoft .NET", from highest version number down to lowest version number.

  4. Download and install all of the following that pertain to your versions of Windows, from lowest to highest number:

  5. Install the Palisade software.

Last edited: 2015-02-26

This page was: Helpful | Not Helpful